/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Consultores;
import com.cosmodas.EntCosmos.DetallePedidos;
import com.cosmodas.EntCosmos.Pedidos;
import com.cosmodas.EntCosmos.PedidosPK;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface PedidosFacadeLocal {

    void create(Pedidos pedidos);

    void edit(Pedidos pedidos);

    void remove(Pedidos pedidos);

    Pedidos find(Object id);

    List<Pedidos> findAll();

    List<Pedidos> findRange(int[] range);

    int count();

    Consultores findConsultor(String consultorCodigo);

    Consultores buscarConsultor(String consultorCodigo);

    String obtenerPedidoSig(String territorio);

    void borraDetallePedido(PedidosPK pk);

    Pedidos obtenerPedido(String codigoPedido);

    List<DetallePedidos> obtenerPedidoDetalle(String codigoPedido);

}
